Subject: [bug#43883] [PATCH] gnu: Add libebur128.

From: Vinicius Monego <[email-masked]>
Date: Thu, 15 Oct 2020 20:56:44 -0300

Marius Bakke writes:

> Vinicius Monego <[email-masked]> writes:
>
>> * gnu/packages/audio.scm (libebur128): New variable.
>
> [...]
>   
>> +    (arguments
>> +     `(;; Tests require .wav files that are not distributed with the code.
>> +       ;; See https://github.com/jiixyj/libebur128/issues/82.
>> +       #:tests? #f
>
> It is easy to provide these data files using an (origin ...) in
> native-inputs, like e.g. 'json-modern-cxx'.  Obviously we should check
> the terms of use first, as the data set is unrelated to this package.
>
> (I don't really have a strong opinion here, just sayin')
>

I had a look at the terms (link provided in the issue referenced above)
and commercial usage is forbidden, making the audio files nonfree. Also, the
zip file weighs 87 MB.

>> +       #:configure-flags '("-DCMAKE_BUILD_TYPE=Release"
>
> Note: you can use #:build-type "Release" instead.  The default is
> "RelWithDebInfo", so it's customary to add a comment when changing it.
> Is there a particular reason to not provide debugging information here?

Oh, I wasn't aware of #:build-type. Thanks.

I remove debugging information to save space. The ideal case is to move
it to a separate output as in

https://guix.gnu.org/manual/en/html_node/Installing-Debugging-Files.html

, but that is something I have yet to take a look at.

I will enable it again in the v2 and add a comment about the data.